﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Warensoft.Unity.Communication.Client
{
    public enum DataTypes:byte
    {
        BYTE,
        BOOL,
        SHORT,
        INT,
        LONG,
        FLOAT,
        DOUBLE,
        STRING
    }
    public enum HttpResponseTypes
    {
        None,
        Bytes,
        Image,
        String,
        XML,
        Movie,
        Response
    }
    public enum QueryType : byte
    {
        None,
        EqualsTo,
        NotEqualsTo,
        OrderBy,
        OrderByDesc,
        Take,
        Skip,
        GreaterThan,
        GreaterThanOrEqualsTo,
        SmallerThan,
        SmallerThanOrEqualsTo,
        
    }
    
    public enum EntityState:byte
    {
        Added=0,
        Changed,
        Deleted,
        Unchanged
    }
    public enum RefreshMode:byte
    {
        ClientWins,
        StoreWins
    }
    public enum WebRequestMethods
    {
        Post,
        Get
    }
}
